Pular para o conteúdo principal

Overview

Boost rules let you promote or demote products in search and browse results based on product attributes. Rules are applied post-ranking — only on results that already match the query.
  • Boost (boost > 0): pushes matching products toward the top
  • Bury (boost < 0): pushes matching products toward the bottom
  • Rules are only applied when sortBy is relevance or optimization_score

Authentication

All requests must include an API key via the x-api-key header.
curl -H "x-api-key: ak_your_api_key" https://alana.shopping/api/v1/boost-rules

Rate Limits

LevelLimitWindow
Per API key1,000 req1 minute
Per API key + IP100 req1 minute

List Boost Rules

GET /api/v1/boost-rules
Returns all boost rules for the workspace.
{
  "rules": [
    {
      "id": "uuid",
      "name": "Boost Nike products",
      "condition": { "field": "brand", "value": "Nike" },
      "boost": 0.5,
      "active": true,
      "createdAt": "2026-03-13T00:00:00Z",
      "updatedAt": "2026-03-13T00:00:00Z"
    }
  ]
}

Create Boost Rule

POST /api/v1/boost-rules
Content-Type: application/json
{
  "name": "Boost in-stock products",
  "condition": { "field": "availability", "value": "in_stock" },
  "boost": 0.3,
  "active": true
}
Returns 201 Created with the created rule.

Condition Fields

FieldExample values
brand"Nike", "Adidas"
availability"in_stock", "out_of_stock"
color"blue", "red" (from attributes)
Any attributeTop-level or attribute field name

Boost Range

ValueEffect
1.0Maximum boost — moves to very top
0.10.9Moderate boost
0No effect
-0.1-0.9Moderate bury
-1.0Maximum bury — moves to very bottom

Update Boost Rule

PUT /api/v1/boost-rules/{id}
Content-Type: application/json
Partial update — only provided fields are changed.
{ "boost": 0.8, "active": true }
Returns 200 OK with the updated rule.

Delete Boost Rule

DELETE /api/v1/boost-rules/{id}
Returns 204 No Content.
Last modified on March 12, 2026